&apt-author.moconnor; &apt-author.team; &apt-email; &apt-product; 21 April 2011
apt-mark
8
APT

# apt-mark

mark/unmark a package as being automatically-installed

    	apt-mark
    	-hv
    	-f=FILENAME

    				auto
    				manual
    				showauto
    				showmanual

    			package

## Description

`apt-mark` will change whether a package has been marked as being automatically installed.

When you request that a package is installed, and as a result other packages are installed to satisfy its dependencies, the dependencies are marked as being automatically installed. Once these automatically installed packages are no longer depended on by any manually installed packages, they will be removed by e.g. `apt-get` or `aptitude`.

auto

  `auto` is used to mark a package as being automatically installed, which will cause the package to be removed when no more manually installed packages depend on this package.

manual

  `manual` is used to mark a package as being manually installed, which will prevent the package from being automatically removed if no other packages depend on it.

hold

  `hold` is used to mark a package as hold back, which will prevent the package from being automatically installed, upgraded or removed. The command is only a wrapper around `dpkg --set-selections` and the state is therefore maintained by &dpkg; and not effected by the `--filename` option.

unhold

  `unhold` is used to cancel a previously set hold on a package to allow all actions again.

showauto

  `showauto` is used to print a list of automatically installed packages with each package on a new line. All automatically installed packages will be listed if no package is given. If packages are given only those which are automatically installed will be shown.

showmanual

  `showmanual` can be used in the same way as `showauto` except that it will print a list of manually installed packages instead.

showhold

  `showhold` is used to print a list of packages on hold in the same way as for the other show commands.

## options

`-f=`FILENAME``
`--file=`FILENAME``

  Read/Write package stats from `FILENAME` instead of the default location, which is `extended_status` in the directory defined by the Configuration Item: `Dir::State`.

&apt-commonoptions;

## Files

&file-extended_states;

## See Also

&apt-get;,&aptitude;,&apt-conf;

## Diagnostics

`apt-mark` returns zero on normal operation, non-zero on error.

&manbugs;